<?php
require '../bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");

$dataCadastro = date("Y-m-d H:i:s");

$dadosUsuario = findItem($conectDB, 'usuario', ' * ', array("code"=>$_SESSION['userCode']) );
if(empty($dadosUsuario->id))
{
	echo messageJson('erro', 'Faça Login');exit;
	exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

	if(isset($_POST['mensagemVisualiza'])){

		if(empty($_POST['mensagem']))
		{
			echo messageJson('erro', 'Selecione uma mensagem');exit;
			exit;
		}

			$mensagem = stringInputCleaner($_POST['mensagem']);

			$sqlBusca = "
				select
					*
				from
					lead
				WHERE
					usuario_imovel_id = '{$_SESSION['userID']}' and
					codigo = '$mensagem'
			";
			//echo $sqlBusca;
			$searchItem  = query($conectDB, '', $sqlBusca);
			if( count($searchItem) <= 0 ){
				echo messageJson('erro', 'Mensagem não encontrada, por favor, tente novamente');exit;
			}
			else
			{
				echo messageJson('info', 'Carregando mensagem', 'functionExecute', 'mensagemRecebidaExibe', $searchItem[0]->cliente_mensagem);
			}
		}
}